Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
osmium::index Namespace Reference

Indexing of OSM data, Locations, etc. More...

## Namespaces
namespace | map
| Key-value containers with unique integer values for a key.
namespace | multimap
| Key-value containers with multiple values for an integer key.

## Classes
class | IdSet
class | IdSetDense
class | IdSetDenseIterator
class | IdSetSmall
class | MapFactory
class | RelationsMapIndex
class | RelationsMapIndexes
class | RelationsMapStash

## Functions
template<typename T >
constexpr T | empty_value ()
template<>
constexpr size_t | empty_value< size_t > ()
template<typename TId , typename TValue , template< typename, typename > class TMap>
bool | register_map (const std::string &name)

## Detailed Description

Indexing of OSM data, Locations, etc.

## Function Documentation

## ◆ empty_value()

template<typename T >

T osmium::index::empty_value | ( |  | ) |
| constexpr

Some of the index classes need an "empty" value that can never appear in real data. This function must return this empty value for any class used as a value in an index. The default implementation returns a default constructed object, but it can be specialized.

## ◆ empty_value< size_t >()

template<>

size_t osmium::index::empty_value< size_t > | ( |  | ) |
| constexpr

The size_t value in indexes is usually used for offsets into a buffer or file. It is unlikely that we ever need the full range, so the max value is a good "empty" value.

## ◆ register_map()

template<typename TId , typename TValue , template< typename, typename > class TMap>

bool osmium::index::register_map | ( | const std::string & | name | ) |
| inline